{
  "schema_version": "1.4.0",
  "id": "GHSA-ww72-x43x-r55q",
  "modified": "2025-04-11T04:06:04Z",
  "published": "2022-05-17T03:17:31Z",
  "aliases": [
    "CVE-2012-5667"
  ],
  "details": "Multiple integer overflows in GNU Grep before 2.11 might allow context-dependent attackers to execute arbitrary code via vectors involving a long input line that triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-5667"
    },
    {
      "type": "WEB",
      "url": "https://bugs.launchpad.net/ubuntu/+source/grep/+bug/1091473"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=889935"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/grep.git/commit/?id=8fcf61523644df42e1905c81bed26838e0b04f91"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/grep.git/commit/?id=cbbc1a45b9f843c811905c97c90a5d31f8e6c189"
    },
    {
      "type": "WEB",
      "url": "http://git.sv.gnu.org/gitweb/?p=grep.git%3Ba=shortlog%3Bh=v2.11"
    },
    {
      "type": "WEB",
      "url": "http://git.sv.gnu.org/gitweb/?p=grep.git;a=shortlog;h=v2.11"
    },
    {
      "type": "WEB",
      "url": "http://lists.gnu.org/archive/html/bug-grep/2012-12/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2012/12/22/6"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1447.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/57033"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-01-03T11:54:00Z"
  }
}